# ifndef Coord_h
# define Coord_h Coord_h

# include "Root.h"

namespace SomeName {
  // Is it acceptable to clutter up the SomeName namespace with these?
  typedef unsigned char  u1;
  typedef unsigned short u2;

  // ###################################################################
  /// \class Coord
  ///
  /// \brief A tiny service class representing a <x,y> Euclidean point. 
  ///
  /// The 'x' and 'y' fields are public (probably not a good idea),
  /// and the 'str' method provides convenient string formatting.
  // ###################################################################

  class Coord : public Root {
  public:
    // NOTE: Intentionally not defining a default constructor.
    // Forces us not to be careless about initializing the
    // values, since <0,0> is rarely the correct value.
    Coord(u2 x,u2 y) { this->x = x; this->y = y; }
    Coord(const Coord& coord) { this->x = coord.x; this->y = coord.y; }
    u2 x; // vertical pixel position
    u2 y; // vertical pixel position
    std::string str(int prec = 2) const; // printable representation
  };
};

# endif // Coord_h

