# ifndef FormatStrategy_h
# define FormatStrategy_h FormatStrategy_h

# include "Strategy.h" // parent

namespace SomeName {
  class Page;

  /// \class FormatStrategy
  ///
  /// \brief The abstract superclass of a hierarchy of classes
  /// implementing the 'format' algorithm, which is minimally
  /// responsible for generating properly positioned unicode text
  /// output.
  ///
  /// This algorithm is the first one called by StandardProcess.
  class FormatStrategy : public Strategy {
  public:
    // Constructors/Destructors
    FormatStrategy();
    virtual bool execute(Page* page) = 0;
  };
}

# endif // FormatStrategy_h

