# include <iostream>
# include "GocrAlgorithms.h"  

# include "StandardProcess.h"
# include "GocrSegment.h"
# include "GocrIdentify.h"
# include "GocrFormat.h"

namespace SomeName {
  ProcessStrategy* GocrAlgorithms::createProcessStrategy() const {
    return new StandardProcess();
  }

  SegmentStrategy* GocrAlgorithms::createSegmentStrategy() const {
    return new GocrSegment();
  }

  IdentifyStrategy* GocrAlgorithms::createIdentifyStrategy() const {
    return new GocrIdentify();
  }

  FormatStrategy* GocrAlgorithms::createFormatStrategy() const {
    return new GocrFormat();
  }
};

