# ifndef GocrIdentify_h
# define GocrIdentify_h GocrIdentify_h

# include "IdentifyStrategy.h" // parent

namespace SomeName {
  class Page;

  /// \class GocrIdentify
  ///
  /// \brief The abstract superclass of a hierarchy of classes
  /// implementing the 'partition' algorithm, which is minimally
  /// responsible for identifying the sub-regions of the Page that
  /// represent individual Glyphs.  The algorithm may do more than
  /// just identify Glyphs however (i.e. may also identify Words,
  /// Lines and/or Regions too).
  ///
  /// This algorithm is the first one called by StandardProcess.
  class GocrIdentify : public IdentifyStrategy {
  public:
    GocrIdentify();
    virtual bool execute(Page* page);
  };
}

# endif // GocrIdentify_h

