# ifndef IdentifyStrategy_h
# define IdentifyStrategy_h IdentifyStrategy_h

# include "Strategy.h" // parent

namespace SomeName {
  class Page;

  /// \class IdentifyStrategy
  ///
  /// \brief The abstract superclass of a hierarchy of classes
  /// implementing the 'identify' algorithm, which is responsible for
  /// converting Glyphs into unicode characters.
  ///
  /// This algorithm is the second one called by StandardProcess.
  class IdentifyStrategy : public Strategy {
  public:
    IdentifyStrategy();
    virtual bool execute(Page* page) = 0;
  };
}

# endif // IdentifyStrategy_h

