# ifndef SegmentStrategy_h
# define SegmentStrategy_h SegmentStrategy_h

# include "Strategy.h" // parent

namespace SomeName {
  class Page;

  /// \class SegmentStrategy
  ///
  /// \brief The abstract superclass of a hierarchy of classes
  /// implementing the 'partition' algorithm, which is minimally
  /// responsible for identifying the sub-regions of the Page that
  /// represent individual Glyphs.  The algorithm may do more than
  /// just identify Glyphs however (i.e. may also identify Words,
  /// Lines and/or Regions too).
  ///
  /// This algorithm is the first one called by StandardProcess.
  class SegmentStrategy : public Strategy {
  public:
    SegmentStrategy();
    virtual bool execute(Page* page) = 0;
  };
}

# endif // SegmentStrategy_h

