
# ifndef Strategy_h
# define Strategy_h Strategy_h

# include "Root.h"  // parent

namespace SomeName {

  /// \class Strategy
  ///
  /// \brief The abstract superclass of all Strategy classes.
  ///
  /// An entire hierarchy of classes is generated for every algorithm
  /// identified as potentially beneficial to OCR functionality. Each
  /// such hierarchy implements a set of strategies for solving the
  /// algorithm represented by the hierarchy.
  ///
  /// This is a parent of all Strategy classes, just in case we need
  /// to introduce functionality common to all, or need to be able to
  /// store an arbitrary Strategy into a variable.

  class Strategy : public Root {
  public:
      // Constructors/Destructors
      Strategy();

      // Accessors

      // Input/Output

      // Miscellaneous

  protected:
      // Accessors

      // Methods 
   
  private: 
      // Accessors

      // Methods 

      // State
  };
}

# endif // Strategy_h

